Module jdk.dynalink
Package jdk.dynalink.support

## Class SimpleRelinkableCallSite

- java.lang.Object
- - java.lang.invoke.CallSite
  - - java.lang.invoke.MutableCallSite
    - - jdk.dynalink.support.AbstractRelinkableCallSite
      - - jdk.dynalink.support.SimpleRelinkableCallSite

- All Implemented Interfaces:
    `RelinkableCallSite`

      public class SimpleRelinkableCallSite
      extends AbstractRelinkableCallSite

  A relinkable call site that implements monomorphic inline caching strategy, only being linked to a single `GuardedInvocation` at any given time. If the guard of that single invocation fails, or it has an invalidated switch point, or its invalidating exception triggered, then the call site will throw it away and ask its associated `DynamicLinker` to relink it.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleRelinkableCallSite​(CallSiteDescriptor descriptor)` | Creates a new call site with monomorphic inline caching strategy.

  - ### Method Summary

    - ### Methods declared in class java.lang.invoke.MutableCallSite

      `getTarget, setTarget, syncAll`

    - ### Methods declared in class java.lang.invoke.CallSite

      `dynamicInvoker, type`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods declared in interface jdk.dynalink.RelinkableCallSite

      `getDescriptor, initialize, relink, resetAndRelink`

- - ### Constructor Detail

    - #### SimpleRelinkableCallSite

          public SimpleRelinkableCallSite​(CallSiteDescriptor descriptor)

      Creates a new call site with monomorphic inline caching strategy.
      Parameters:
        `descriptor` - the descriptor for this call site